Subject: Re: bug#24547: 24.4; dired should colour in sockets and pipes

From: Juri Linkov <[email-masked]>
Date: Sun, 28 Jul 2019 01:07:39 +0300

>> With GNU ls --color in a terminal, different colors are used for
>>
>>     regular files,
>>     directories,
>>     symlinks,
>>     sockets,
>>     pipes,
>>     (other stuff - dircolors?)
>>
>> In dired, the first three get different faces,
>> but sockets and pipes look like regular files.
>>
>> I think it's probably easy to fix sockets and pipes,
>> because the first character is "s" or "p",
>> at least in GNU ls output.
>
> Sounds reasonable.  I've now done this in Emacs 27, but I've used just a
> single face for both sockets and pipes.

What are the remaining special file types possible in ls output?

For example, in /run I see only "s" and "p" files.  But in /dev there are
also "b" and "c".  These "block" and "character" device files could be
highlighted using the same face with sockets and pipes.